Skip to main content
PATCH
/
invoices
/
{id}
Patch an invoice
curl --request PATCH \
  --url https://eu.sequencehq.com/api/invoices/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dueDate": "2022-09-30",
  "purchaseOrderNumber": "PO123",
  "reference": "ref",
  "customerEmails": [
    "customer.user.a@example.com",
    "customer.user.b@example.com"
  ],
  "customerLegalCompanyName": "Facebook",
  "customerBillingAddress": {
    "line1": "Flat 1",
    "line2": "15 Yemen Road",
    "town": "Yemen",
    "state": "CA",
    "postcode": "YE1 2YE",
    "country": "YE"
  },
  "customerShippingAddress": {
    "line1": "742 Evergreen Terrace",
    "town": "Springfield",
    "state": "CA",
    "postcode": "12345",
    "country": "US"
  },
  "memo": "Thanks",
  "paymentOptions": [
    "BANK_TRANSFER"
  ],
  "billingPeriod": {
    "start": "2022-10-01",
    "endInclusive": "2022-10-30"
  },
  "metadata": [
    {
      "key": "example-label",
      "value": "label-value"
    }
  ],
  "creditBalances": "Verification 2 credit balance: 7/7 (expiring on 4 May 2023)",
  "billingRunId": "53ff21c8-4872-46c4-83bf-517d54876945",
  "accountingDate": "2022-09-30",
  "attachmentAssetIds": [
    "99874519-25ce-46ff-8823-093115aa7222"
  ]
}
'
import requests

url = "https://eu.sequencehq.com/api/invoices/{id}"

payload = {
    "dueDate": "2022-09-30",
    "purchaseOrderNumber": "PO123",
    "reference": "ref",
    "customerEmails": ["customer.user.a@example.com", "customer.user.b@example.com"],
    "customerLegalCompanyName": "Facebook",
    "customerBillingAddress": {
        "line1": "Flat 1",
        "line2": "15 Yemen Road",
        "town": "Yemen",
        "state": "CA",
        "postcode": "YE1 2YE",
        "country": "YE"
    },
    "customerShippingAddress": {
        "line1": "742 Evergreen Terrace",
        "town": "Springfield",
        "state": "CA",
        "postcode": "12345",
        "country": "US"
    },
    "memo": "Thanks",
    "paymentOptions": ["BANK_TRANSFER"],
    "billingPeriod": {
        "start": "2022-10-01",
        "endInclusive": "2022-10-30"
    },
    "metadata": [
        {
            "key": "example-label",
            "value": "label-value"
        }
    ],
    "creditBalances": "Verification 2 credit balance: 7/7 (expiring on 4 May 2023)",
    "billingRunId": "53ff21c8-4872-46c4-83bf-517d54876945",
    "accountingDate": "2022-09-30",
    "attachmentAssetIds": ["99874519-25ce-46ff-8823-093115aa7222"]
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    dueDate: '2022-09-30',
    purchaseOrderNumber: 'PO123',
    reference: 'ref',
    customerEmails: ['customer.user.a@example.com', 'customer.user.b@example.com'],
    customerLegalCompanyName: 'Facebook',
    customerBillingAddress: {
      line1: 'Flat 1',
      line2: '15 Yemen Road',
      town: 'Yemen',
      state: 'CA',
      postcode: 'YE1 2YE',
      country: 'YE'
    },
    customerShippingAddress: {
      line1: '742 Evergreen Terrace',
      town: 'Springfield',
      state: 'CA',
      postcode: '12345',
      country: 'US'
    },
    memo: 'Thanks',
    paymentOptions: ['BANK_TRANSFER'],
    billingPeriod: {start: '2022-10-01', endInclusive: '2022-10-30'},
    metadata: [{key: 'example-label', value: 'label-value'}],
    creditBalances: 'Verification 2 credit balance: 7/7 (expiring on 4 May 2023)',
    billingRunId: '53ff21c8-4872-46c4-83bf-517d54876945',
    accountingDate: '2022-09-30',
    attachmentAssetIds: ['99874519-25ce-46ff-8823-093115aa7222']
  })
};

fetch('https://eu.sequencehq.com/api/invoices/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "6cedbb5e-4f77-4217-b8d4-020e7e4d33c9",
  "sequenceAccountId": "68233908-402a-43b4-8952-1c2ab0ef0b25",
  "billingScheduleId": "fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95",
  "status": "DRAFT",
  "currency": "GBP",
  "invoiceNumber": "INV00001",
  "issueDate": "2022-09-15",
  "dueDate": "2022-09-30",
  "purchaseOrderNumber": "PO123",
  "reference": "ref",
  "customerEmails": [
    "customer.user.a@example.com",
    "customer.user.b@example.com"
  ],
  "customerLegalCompanyName": "Facebook",
  "customerBillingAddress": {
    "line1": "Flat 1",
    "line2": "15 Yemen Road",
    "town": "Yemen",
    "state": "CA",
    "postcode": "YE1 2YE",
    "country": "YE"
  },
  "customerShippingAddress": {
    "line1": "742 Evergreen Terrace",
    "town": "Springfield",
    "state": "CA",
    "postcode": "12345",
    "country": "US"
  },
  "memo": "Thanks",
  "paymentOptions": [
    "BANK_TRANSFER"
  ],
  "billingPeriod": {
    "start": "2022-10-01",
    "endInclusive": "2022-10-30"
  },
  "customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
  "totalTax": "2.50",
  "netTotal": "51.20",
  "grossTotal": "101.23",
  "metadata": [
    {
      "key": "example-label",
      "value": "label-value"
    }
  ],
  "customerTaxId": "TAX123",
  "paymentStatus": "UNPAID",
  "createdAt": "2022-10-30T00:00:00Z",
  "creditNoteIds": [
    "af60cab3-812d-4250-a051-0fb7133a00c7"
  ],
  "linkedServices": [
    {
      "externalId": "123",
      "externalService": "Xero",
      "syncTime": "2022-06-28T16:47:00Z",
      "externalUrl": "https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504"
    }
  ],
  "merchantDetails": {
    "address": {
      "line1": "The White House",
      "line2": "1600 Pennsylvania Avenue",
      "town": "Washington, D.C.",
      "state": "CA",
      "postcode": "20500",
      "country": "US"
    },
    "phoneNumber": "0800001066",
    "email": "finance@example.com",
    "taxId": "TAX60",
    "iban": "GB33BUKB20201555555555",
    "ukAccountDetails": {
      "sortCode": "000000",
      "accountNumber": "12345678"
    },
    "usAchDetails": {
      "accountNumber": "12345678",
      "accountName": "John Doe",
      "bankName": "Chase",
      "bankRoutingNumber": "123456789"
    },
    "usWireDetails": {
      "accountNumber": "12345678",
      "accountName": "John Doe",
      "bankName": "Chase",
      "bankRoutingNumber": "123456789",
      "swiftCode": "CHASUS33",
      "bankAddress": {
        "line1": "JP Morgan Chase",
        "town": "New York City",
        "state": "NY",
        "postcode": "10017",
        "country": "US"
      }
    },
    "caBankAccountDetails": {
      "transitNumber": "123",
      "institutionNumber": "12345",
      "accountNumber": "1234567"
    },
    "canadianInternationalDestination": {
      "legalName": "John Doe",
      "accountNumber": "12345678",
      "transitNumber": "12345",
      "bankName": "Chase",
      "bankAddress": {
        "line1": "JP Morgan Chase",
        "town": "New York City",
        "state": "NY",
        "postcode": "10017",
        "country": "US"
      },
      "institutionNumber": "123",
      "swiftCode": "CHASUS33",
      "intermediaryBank": {
        "bankName": "Chase",
        "bankAddress": {
          "line1": "JP Morgan Chase",
          "town": "New York City",
          "state": "NY",
          "postcode": "10017",
          "country": "US"
        },
        "swiftCode": "CHASUS33",
        "routingNumber": "123456789"
      }
    },
    "australianDestination": {
      "legalName": "John Doe",
      "accountNumber": "12345678",
      "swiftCode": "CHASUS33",
      "bsb": "123456"
    },
    "logoUrl": "logo",
    "legalCompanyName": "The Merchant",
    "primaryColour": "#000000",
    "customFields": [
      {
        "key": "example-label",
        "value": "label-value"
      }
    ],
    "includeBeneficiaryAddressInPaymentDetails": false
  },
  "creditBalances": "Verification 2 credit balance: 7/7 (expiring on 4 May 2023)",
  "dunningStatus": "SCHEDULED",
  "accountingDate": "2022-09-30",
  "calculatedAt": "2022-09-30T00:00:00Z",
  "customerTaxStatus": "TAXED",
  "renderSettings": {
    "paymentLinkDisplay": "HIDE_PAYMENT_LINK"
  },
  "isCustomerArchived": false,
  "updatedAt": "2022-09-30T00:00:00Z"
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Invoice ID

Body

application/json
dueDate
string

Due date

Example:

"2022-09-30"

purchaseOrderNumber
string

Purchase order number

Example:

"PO123"

reference
string

Reference

Example:

"ref"

customerEmails
string[]

Customer email addresses, used for sending the Invoice if provided

Example:
[
  "customer.user.a@example.com",
  "customer.user.b@example.com"
]

Customer's legal company name

Example:

"Facebook"

customerBillingAddress
object

Customer's billing address

Example:
{
  "line1": "Flat 1",
  "line2": "15 Yemen Road",
  "town": "Yemen",
  "state": "CA",
  "postcode": "YE1 2YE",
  "country": "YE"
}
customerShippingAddress
object

Customer's billing address

Example:
{
  "line1": "Flat 1",
  "line2": "15 Yemen Road",
  "town": "Yemen",
  "state": "CA",
  "postcode": "YE1 2YE",
  "country": "YE"
}
memo
string

Invoice memo

Example:

"Thanks"

paymentOptions
enum<string>[]

Invoice payment options

Available options:
BANK_TRANSFER,
LINK
Example:
["BANK_TRANSFER"]
billingPeriod
object

Billing period

Example:
{
  "start": "2022-10-01",
  "endInclusive": "2022-10-30"
}
metadata
object[]

Mapping of key-value pairs to attach to the Invoice. These are not interpreted by Sequence; they are present for your use alone.

Example:
[
  {
    "key": "example-label",
    "value": "label-value"
  }
]
creditBalances
string

Credit balances

Example:

"Verification 2 credit balance: 7/7 (expiring on 4 May 2023)"

billingRunId
string

Billing Run ID

Example:

"53ff21c8-4872-46c4-83bf-517d54876945"

accountingDate
string

Accounting date

Example:

"2022-09-30"

attachmentAssetIds
string[]

Attachment asset IDs

Example:
["99874519-25ce-46ff-8823-093115aa7222"]

Response

OK

id
string
required

Invoice ID

Example:

"ba37a392-7054-4dae-ab37-6fee9e23fe06"

sequenceAccountId
string
required

Sequence Account ID

Example:

"af9b5988-1d7b-45f6-a188-326df5e59b24"

status
enum<string>
required

Invoice status

Available options:
IN_PROGRESS,
DRAFT,
FINAL,
SENT,
VOIDED
Example:

"DRAFT"

currency
enum<string>
required

Invoice currency

Available options:
AED,
ARS,
AUD,
BRL,
BGN,
CAD,
CHF,
CLP,
CNY,
COP,
CZK,
DKK,
EGP,
EUR,
GBP,
HKD,
ILS,
INR,
ISK,
JPY,
KRW,
MXN,
NOK,
NZD,
PLN,
SAR,
SEK,
SGD,
THB,
USD,
UYU,
ZAR
Example:

"GBP"

customerEmails
string[]
required

Customer email addresses, used for sending the Invoice if provided

Example:
["customer@example.com"]

Customer's legal company name

Example:

"Facebook"

customerBillingAddress
object
required

Customer's billing address

Example:
{
  "line1": "Flat 1",
  "line2": "15 Yemen Road",
  "town": "Yemen",
  "state": "CA",
  "postcode": "YE1 2YE",
  "country": "YE"
}
customerShippingAddress
object
required

Customer's billing address

Example:
{
  "line1": "Flat 1",
  "line2": "15 Yemen Road",
  "town": "Yemen",
  "state": "CA",
  "postcode": "YE1 2YE",
  "country": "YE"
}
customerId
string
required

The ID of the Customer this invoice is linked to

Example:

"b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a"

totalTax
string
required

Total tax, in decimal format of the Invoice's currency

Example:

"2"

netTotal
string
required

Net total, in decimal format of the Invoice's currency

Example:

"12"

grossTotal
string
required

Gross total, in decimal format of the Invoice's currency

Example:

"10"

metadata
object[]
required

Mapping of key-value pairs to attach to the Invoice. These are not interpreted by Sequence; they are present for your use alone.

Example:
[
  {
    "key": "example-label",
    "value": "label-value"
  }
]
paymentStatus
enum<string>
required

Invoice payment status

Available options:
UNPAID,
PARTIALLY_PAID,
PAID,
UNCOLLECTIBLE
Example:

"PAID"

createdAt
string
required

Creation time

Example:

"2022-10-30T00:00:00Z"

creditNoteIds
string[]
required

IDs of linked credit notes (if any)

Example:
["941272d1-f840-4e16-b698-0cd455c81e0e"]
linkedServices
object[]
required

External services which are linked to this invoice

Example:
[
  {
    "externalId": "ID",
    "externalService": "Xero",
    "syncTime": "2022-06-28T16:47:00Z",
    "externalUrl": "https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504"
  }
]
accountingDate
string
required

Accounting date

Example:

"2022-10-05"

renderSettings
object
required

Settings that control how the invoice is rendered.

Example:
{ "paymentLinkDisplay": "HIDE_PAYMENT_LINK" }
isCustomerArchived
boolean
required
Example:

false

updatedAt
string
required

Last updated time

Example:

"2022-10-30T00:00:00Z"

invoiceNumber
string

Invoice number

Example:

"INV2"

dueDate
string

Due date

Example:

"2022-11-05"

purchaseOrderNumber
string

Purchase order number

Example:

"PO123"

reference
string

Reference

Example:

"ref"

memo
string

Invoice memo

Example:

"Thanks"

paymentOptions
enum<string>[]

Invoice payment options

Available options:
BANK_TRANSFER,
LINK
Example:
["BANK_TRANSFER"]
billingPeriod
object

Billing period

Example:
{
  "start": "2022-10-01",
  "endInclusive": "2022-10-30"
}
merchantDetails
object

Merchant details

Example:
{
  "address": {
    "line1": "Flat 1",
    "line2": "123 Fake Street",
    "town": "New York",
    "state": "NY",
    "postcode": "AB1 2EF",
    "country": "US"
  },
  "phoneNumber": "0800001066",
  "email": "donald@example.com",
  "taxId": "TAX",
  "iban": "GB33BUKB20201555555555",
  "ukAccountDetails": {
    "sortCode": "123456",
    "accountNumber": "12345678"
  },
  "usAchDetails": {
    "accountNumber": "12345678",
    "accountName": "John Doe",
    "bankName": "Chase",
    "bankRoutingNumber": "123456789"
  },
  "usWireDetails": {
    "accountNumber": "12345678",
    "accountName": "John Doe",
    "bankName": "Chase",
    "bankRoutingNumber": "123456789",
    "swiftCode": "CHASUS33",
    "bankAddress": {
      "line1": "JP Morgan Chase",
      "town": "New York City",
      "state": "NY",
      "postcode": "10017",
      "country": "US"
    }
  },
  "swedishBankgiroDestination": {
    "bankgiroNumber": "123-4567",
    "accountName": "The Merchant"
  },
  "legalCompanyName": "The Merchant",
  "customFields": [],
  "includeBeneficiaryAddressInPaymentDetails": false
}
customerTaxStatus
enum<string>

Customer tax status

Available options:
TAXED,
TAX_EXEMPT,
REVERSE_CHARGED
Example:

"TAXED"